import prompts from '../../../../_virtual/index6.mjs';
import { AbortError } from '../../../events/build/esnext/abort/AbortError.esnext.mjs';

async function prompt(prompt2) {
  const result = await prompts(
    { name: "value", ...prompt2 },
    {
      onCancel() {
        throw new AbortError();
      }
    }
  );
  return result.value;
}

export { prompt };
